#docker-compose.yml
version: "3.3"

services:
  openWebUI:
    image: ghcr.io/open-webui/open-webui:main
    container_name: openwebui
    restart: unless-stopped
    ports:
      - "3000:8080"
    extra_hosts:
      - "host.docker.internal:host-gateway"
    volumes:
      - /home/icke/openwebui:/app/backend/data

  ollama:
    #image: ollama/ollama:0.1.34
    image: ollama/ollama
    container_name: ollama
    restart: unless-stopped
    ports:
      - "11434:11434"
    volumes:
      - /home/icke/ollama:/root/.ollama
    environment:
      - OLLAMA_KEEP_ALIVE=-1
        #volumes:
        #ollama-local:
        #external: true
        #open-webui-local:
        #external: true
